u

## Public Member Functions

point | operator() (const point &x) const
| u (size_t d, Float t1)
Float | operator() (const point &x) const
| u (Float Bi1, Float n1)
point | operator() (const point &x) const
| u (size_t d1)
point | operator() (const point &x) const
| u (Float w1)
Float | operator() (const point &x) const
| u (Float S, Float n, Float Cf)
point | operator() (const point &x) const
| u ()
point | operator() (const point &x) const
| u ()

## Static Public Member Functions

static Float | period ()
static Float | period ()
static Float | period ()

## Public Attributes

Float | w

## Protected Attributes

Float | t
Float | pi
Float | Bi
Float | n
size_t | d
Float | u0
Float | us

## Static Protected Attributes

static constexpr Float | tf = 8
static constexpr Float | xc = 0.5
static constexpr Float | yc = 0.5

## Detailed Description

Examples
  burgers.icc, burgers_dg.cc, burgers_diffusion_dg.cc, combustion_keller_post.cc, commute_rtd.cc, cosinusprod_error.cc, cosinusprod_post_dg.cc, cosinusrad_error.cc, dirichlet-nh.cc, dirichlet.cc, dirichlet.icc, dirichlet2.cc, dirichlet_dg.cc, dirichlet_hdg.cc, dirichlet_hho.cc, elasticity_solve.icc, elasticity_taylor_dg.cc, embankment.cc, heat.cc, helmholtz_band.cc, helmholtz_band_iterative.cc, helmholtz_s.cc, helmholtz_s_error.cc, incompressible-elasticity.cc, inertia.h, inertia_cks.icc, inertia_upw.icc, laplace_band.cc, laplace_s.cc, leveque.h, mosolov_augmented_lagrangian2.icc, mosolov_exact_circle.h, mosolov_residue.cc, navier_stokes_dg1.icc, navier_stokes_solve.icc, navier_stokes_taylor_dg.cc, navier_stokes_upw_dg.icc, neumann-laplace.cc, neumann-nh.cc, neumann_dg.cc, oldroyd_theta_scheme1.h, oldroyd_theta_scheme2.h, p_laplacian1.icc, p_laplacian_fixed_point.cc, poisson_robin.icc, reconstruction_hho.cc, robin.cc, rotating-hill.h, sinusprod_error.cc, sinusrad_error.cc, stokes_cavity.cc, stokes_contraction.cc, stokes_dirichlet_dg.icc, stokes_obstacle_slip_regul.cc, streamf_cavity.cc, streamf_cavity.icc, transmission.cc, transport_dg.cc, transport_dg2.h, transport_tensor_dg.cc, yield_slip1.icc, yield_slip_augmented_lagrangian.icc, yield_slip_circle.h, yield_slip_residue.cc, zalesak.h, and zalesak_circle.h.

Definition at line 25 of file leveque.h.

## Constructor & Destructor Documentation

## u() [1/7]

u | ( | size_t | d,
|  | Float | t1
| ) |  |

Definition at line 31 of file leveque.h.

## u() [2/7]

u | ( | Float | Bi1,
|  | Float | n1
| ) |  |

Definition at line 29 of file mosolov_exact_circle.h.

## u() [3/7]

u | ( | size_t | d1 | ) |

Definition at line 28 of file rotating-hill.h.

## u() [4/7]

u | ( | Float | w1 | ) |

Definition at line 27 of file transport_dg2.h.

## u() [5/7]

u | ( | Float | S,
|  | Float | n,
|  | Float | Cf
| ) |  |

Definition at line 27 of file yield_slip_circle.h.

## u() [6/7]

u | ( |  | ) |

Examples
  leveque.h, mosolov_exact_circle.h, rotating-hill.h, transport_dg2.h, yield_slip_circle.h, zalesak.h, and zalesak_circle.h.

Definition at line 33 of file zalesak.h.

## u() [7/7]

u | ( |  | ) |

Definition at line 33 of file zalesak_circle.h.

## Member Function Documentation

## operator()() [1/7]

point operator() | ( | const point & | x | ) | const

Examples
  leveque.h, mosolov_exact_circle.h, rotating-hill.h, transport_dg2.h, yield_slip_circle.h, zalesak.h, and zalesak_circle.h.

Definition at line 26 of file leveque.h.

## period() [1/3]

static Float period | ( |  | ) |

static

Examples
  leveque.h, leveque_dg.cc, zalesak.h, zalesak_circle.h, and zalesak_dg.cc.

Definition at line 32 of file leveque.h.

## operator()() [2/7]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file mosolov_exact_circle.h.

## operator()() [3/7]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file rotating-hill.h.

## operator()() [4/7]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file transport_dg2.h.

## operator()() [5/7]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file yield_slip_circle.h.

## operator()() [6/7]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file zalesak.h.

## period() [2/3]

static Float period | ( |  | ) |

static

Definition at line 29 of file zalesak.h.

## operator()() [7/7]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file zalesak_circle.h.

## period() [3/3]

static Float period | ( |  | ) |

static

Definition at line 29 of file zalesak_circle.h.

## Member Data Documentation

## t

Float t

protected

Examples
  leveque.h.

Definition at line 34 of file leveque.h.

## pi

Float pi

protected

Examples
  leveque.h, zalesak.h, and zalesak_circle.h.

Definition at line 34 of file leveque.h.

## tf

constexpr Float tf = 8

static constexpr protected

Examples
  leveque.h.

Definition at line 35 of file leveque.h.

## Bi

Float Bi

protected

Examples
  mosolov_exact_circle.h.

Definition at line 30 of file mosolov_exact_circle.h.

## n

Float n

protected

Examples
  mosolov_exact_circle.h, and yield_slip_circle.h.

Definition at line 30 of file mosolov_exact_circle.h.

## d

size_t d

protected

Examples
  leveque.h, and rotating-hill.h.

Definition at line 29 of file rotating-hill.h.

## u0

Float u0

protected

Examples
  rotating-hill.h.

Definition at line 29 of file rotating-hill.h.

## w

Float w

Examples
  transport_dg2.h.

Definition at line 28 of file transport_dg2.h.

## us

Float us

protected

Examples
  yield_slip_circle.h.

Definition at line 28 of file yield_slip_circle.h.

## xc

static constexpr Float xc = 0.5

static constexpr protected

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 36 of file zalesak.h.

## yc

static constexpr Float yc = 0.5

static protected

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 37 of file zalesak.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/leveque.h
- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/mosolov_exact_circle.h
- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/rotating-hill.h
- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/transport_dg2.h
- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/yield_slip_circle.h
- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/zalesak.h
- /build/rheolef-FQTnje/rheolef-7.1/doc/examples/zalesak_circle.h